
#include <stdio.h>
#include <stdarg.h>

void /*pascal far*/ (*log_proc)(const char *s, void *context) = NULL;
void *log_context = NULL;

void /*pascal far*/ gmp_set_log(void /*far pascal*/ (*proc)(const char *, void *),
		 void *context)
{
  log_proc = proc;
  log_context = context;
}

void gmp_log(const char *s, ...)
{
  if (log_proc)
    {
      char buf[500];
      va_list va;
      va_start(va, s);
      vsprintf(buf, s, va);
      va_end(va);
      (*log_proc)(buf, log_context);
    }
}
